FreeBSD : Exim -- RCE in ${sort} expansion (3e0da406-aece-11e9-8d41-97657151f8c2)

critical Nessus Plugin ID 127086

Language:

Synopsis

The remote FreeBSD host is missing a security-related update.

Description

Exim team report :

A local or remote attacker can execute programs with root privileges - if you've an unusual configuration.

If your configuration uses the ${sort } expansion for items that can be controlled by an attacker (e.g. $local_part, $domain). The default config, as shipped by the Exim developers, does not contain ${sort }.

The vulnerability is exploitable either remotely or locally and could be used to execute other programs with root privilege. The ${sort } expansion re-evaluates its items.

Exim 4.92.1 is not vulnerable.

Solution

Update the affected package.

See Also

https://www.exim.org/static/doc/security/CVE-2019-13917.txt

http://www.nessus.org/u?572ff602

Plugin Details

Severity: Critical

ID: 127086

File Name: freebsd_pkg_3e0da406aece11e98d4197657151f8c2.nasl

Version: 1.5

Type: local

Published: 7/26/2019

Updated: 1/6/2020

Risk Information

VPR

Risk Factor: Medium

Score: 5.9

CVSS v2

Risk Factor: Critical

Base Score: 10

Temporal Score: 7.4

Vector: AV:N/AC:L/Au:N/C:C/I:C/A:C

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3

Risk Factor: Critical

Base Score: 9.8

Temporal Score: 8.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:exim, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Ease: No known exploits are available

Patch Publication Date: 7/25/2019

Vulnerability Publication Date: 7/18/2019

Reference Information

CVE: CVE-2019-13917